Skip to main content
POST
Mint an upload link for a transaction attachment

Path Parameters

id
string
required

Transaction ID

Example:

"1"

Query Parameters

orgId
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

companyId
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Body

application/json
extension
enum<string>
required

File extension without the dot, lower case. Accepted: pdf, png, jpg, jpeg, webp, heic, heif, csv, xlsx.

Available options:
pdf,
png,
jpg,
jpeg,
webp,
heic,
heif,
csv,
xlsx
Example:

"pdf"

contentType
string

Ignored since 2026-10-23: the content type is derived from the extension and returned in requiredHeaders.

Required string length: 1 - 120
Example:

"application/pdf"

Response

Upload link minted

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on November 13, 2026